Subject: [Android-virt] KVM ARM interrupt virtualization

From: [email-masked] (bill4carson)
Date: Tue, 13 Sep 2011 13:24:28 +0800

On 2011?09?08? 20:01, Peter Maydell wrote:
> On 8 September 2011 11:32, bill4carson<[email-masked]>  wrote:
>> There is much more involved if I want to use A15 as Guest OS,
>> cause Qemu haven't got any A15 support yet.
> In the interests of not accidentally duplicating work, I should
> mention that QEMU A15 work is on my (Linaro) todo list; basically
> I'm thinking in terms of adding enough support to boot an A15
> Linux guest, but not actually implementing emulation of the
> virtualization/LPAE extensions. If you'd like to do some of the
> work here we should probably coordinate on that...
>
> The Fast Model Versatile Express platform (including its memory
> map) is documented here:
> http://infocenter.arm.com/help/topic/com.arm.doc.dui0423j/BEIEAGAA.html
>
> The memory maps (legacy A9 and "Cortex A-Series") for VE
> hardware are here:
> http://infocenter.arm.com/help/topic/com.arm.doc.dui0447e/CACIHGFE.html
>
> -- PMM
>
Hi Peter

Thanks for your informations, any contribution and help would be welcome.
The initial Qemu A15 support has been added, and could boot with KVM 
support.
The generic timer has been removed as I cannot find its base address.

bill